local K = unpack(select(2, ...))
local Module = K:GetModule("AurasTable")

local list = {
	["Player Aura"] = {
		{AuraID = 136, UnitID = "pet"},
		{AuraID = 19577, UnitID = "pet"},
		{AuraID = 160058, UnitID = "pet"},
		{AuraID = 90361, UnitID = "player"},
		{AuraID = 35079, UnitID = "player"},
		{AuraID = 61648, UnitID = "player"},
		{AuraID = 199483, UnitID = "player"},
		{AuraID = 118922, UnitID = "player"},
		{AuraID = 164857, UnitID = "player"},
		{AuraID = 186258, UnitID = "player"},
		{AuraID = 246152, UnitID = "player"},
		{AuraID = 246851, UnitID = "player"},
		{AuraID = 246852, UnitID = "player"},
		{AuraID = 246853, UnitID = "player"},
		{AuraID = 246854, UnitID = "player"},
		{AuraID = 203924, UnitID = "player"},
		{AuraID = 197161, UnitID = "player"},
		{AuraID = 160007, UnitID = "player"},
		{AuraID = 231390, UnitID = "player", Combat = true},
		{AuraID = 164273, UnitID = "player", Combat = true},
		{AuraID = 209997, UnitID = "pet", Flash = true},
	},
	["Target Aura"] = {
		{AuraID = 3355, UnitID = "target", Caster = "player"},
		{AuraID = 5116, UnitID = "target", Caster = "player"},
		{AuraID = 19386, UnitID = "target", Caster = "player"},
		{AuraID = 24394, UnitID = "target", Caster = "pet"},
		{AuraID = 321538, UnitID = "target", Caster = "pet"},
		{AuraID = 117526, UnitID = "target"},
		{AuraID = 257284, UnitID = "target", Caster = "player"},
		{AuraID = 131894, UnitID = "target", Caster = "player"},
		{AuraID = 199803, UnitID = "target", Caster = "player"},
		{AuraID = 195645, UnitID = "target", Caster = "player"},
		{AuraID = 202797, UnitID = "target", Caster = "player"},
		{AuraID = 202900, UnitID = "target", Caster = "player"},
		{AuraID = 224729, UnitID = "target", Caster = "player"},
		{AuraID = 213691, UnitID = "target", Caster = "player"},
		{AuraID = 162480, UnitID = "target", Caster = "player"},
		{AuraID = 162487, UnitID = "target", Caster = "player"},
		{AuraID = 259491, UnitID = "target", Caster = "player"},
		{AuraID = 271788, UnitID = "target", Caster = "player"},
		{AuraID = 269747, UnitID = "target", Caster = "player"},
		{AuraID = 270339, UnitID = "target", Caster = "player"},
		{AuraID = 270343, UnitID = "target", Caster = "player"},
		{AuraID = 271049, UnitID = "target", Caster = "player"},
		{AuraID = 270332, UnitID = "target", Caster = "player"},
		{AuraID = 259277, UnitID = "target", Caster = "pet"},
		{AuraID = 277959, UnitID = "target", Caster = "player"},
		{AuraID = 217200, UnitID = "target", Caster = "player"},
		{AuraID = 336746, UnitID = "target", Caster = "player"},
		{AuraID = 328275, UnitID = "target", Caster = "player"},
		{AuraID = 324149, UnitID = "target", Caster = "player"},
		{AuraID = 308498, UnitID = "target", Caster = "player"},
		{AuraID = 333526, UnitID = "target", Caster = "player"},
	},
	["Special Aura"] = {
		{AuraID = 19574, UnitID = "player"},
		{AuraID = 54216, UnitID = "player"},
		{AuraID = 186257, UnitID = "player"},
		{AuraID = 186265, UnitID = "player"},
		{AuraID = 190515, UnitID = "player"},
		{AuraID = 193534, UnitID = "player"},
		{AuraID = 194594, UnitID = "player", Flash = true},
		{AuraID = 118455, UnitID = "pet"},
		{AuraID = 207094, UnitID = "pet"},
		{AuraID = 217200, UnitID = "pet"},
		{AuraID = 272790, UnitID = "pet"},
		{AuraID = 193530, UnitID = "player"},
		{AuraID = 185791, UnitID = "player"},
		{AuraID = 259388, UnitID = "player"},
		{AuraID = 186289, UnitID = "player"},
		{AuraID = 201081, UnitID = "player"},
		{AuraID = 194407, UnitID = "player"},
		{AuraID = 208888, UnitID = "player"},
		{AuraID = 204090, UnitID = "player"},
		{AuraID = 208913, UnitID = "player"},
		{AuraID = 248085, UnitID = "player"},
		{AuraID = 242243, UnitID = "player"},
		{AuraID = 246153, UnitID = "player"},
		{AuraID = 203155, UnitID = "player"},
		{AuraID = 235712, UnitID = "player", Combat = true},
		{AuraID = 264735, UnitID = "player"},
		{AuraID = 281195, UnitID = "player"},
		{AuraID = 260242, UnitID = "player", Flash = true},
		{AuraID = 260395, UnitID = "player"},
		{AuraID = 269502, UnitID = "player"},
		{AuraID = 281036, UnitID = "player"},
		{AuraID = 260402, UnitID = "player"},
		{AuraID = 266779, UnitID = "player"},
		{AuraID = 260286, UnitID = "player"},
		{AuraID = 265898, UnitID = "player"},
		{AuraID = 268552, UnitID = "player"},
		{AuraID = 260249, UnitID = "player"},
		{AuraID = 257622, UnitID = "player", Text = "AoE"},
		{AuraID = 288613, UnitID = "player"},
		{AuraID = 274447, UnitID = "player"},
		{AuraID = 260243, UnitID = "player"},
		{AuraID = 342076, UnitID = "player"},
	},
	["Focus Aura"] = {
		{AuraID = 3355, UnitID = "focus", Caster = "player"},
		{AuraID = 19386, UnitID = "focus", Caster = "player"},
		{AuraID = 118253, UnitID = "focus", Caster = "player"},
		{AuraID = 194599, UnitID = "focus", Caster = "player"},
		{AuraID = 131894, UnitID = "focus", Caster = "player"},
		{AuraID = 199803, UnitID = "focus", Caster = "player"},
	},
	["Spell Cooldown"] = {
		{SlotID = 13},
		{SlotID = 14},
		{SpellID = 186265},
		{SpellID = 147362},
	},
}

Module:AddNewAuraWatch("HUNTER", list)